Subject: bug#24692: 25.1; simple, reproducible Emacs 25.1 crash on MS Windows

From: martin rudalics <[email-masked]>
Date: Fri, 14 Oct 2016 19:13:03 +0200

> Recipe:
 >
 > 1. Save the attached file, `e25-crash.el'.
 >
 > 2. runemacs.exe -Q --debug-init -l "/YOUR/PATH/TO/e25-crash.el
 >
 > You will get two frames, one with buffer *scratch*, the other with the
 > minibuffer, buffer *Minibuf-0*.
 >
 > 3. Click the title bar of the frame having buffer *scratch*, to raise
 > and select it.
 >
 > 4. `C-h f prefix-command-preserve-state RET'.
 >
 > 5. Click `mouse-2' on the file name `simple.el' in buffer `*Help*'.
 >
 > CRASH!

No crash here, just takes some time to execute.  Tested with release and
master.  The recipe seems contrived.  ‘fit-frame-same-row-windows’ and
‘fit-frame-same-column-windows’ are nowhere used, IIUC.  All you do is
find the number of lines and the maximum number of columns of any line
of simple.el.  Why on earth should that crash?

martin